Message saying it was going to downgrade?

  • 1
  • Problem
  • Updated 4 years ago
  • Not a Problem
I have a Flex 6300 and I upgraded to  1.4.3.55 V this week.  All worked fine.  Enjoy having the Monitor on for RTTY.
But this morning when I started up the Flex 6300 I got a Message in the Radio Setup window that I needed to upgrade.  OK, I hit upgrade.  then a POP-UP wiindow came up and told me that it was going to delete the present version and replace it with a earlier version?  That is what it did and now I am at versioon 1.4.0.53.  WTF happened?  Should I re-install the newest version or did you guys have a recall?

Joe K0BX
Photo of Joseph Duerbusch

Joseph Duerbusch

  • 14 Posts
  • 0 Reply Likes

Posted 4 years ago

  • 1
Photo of Bill Roberts

Bill Roberts

  • 226 Posts
  • 46 Reply Likes

It sounds like you tried running SSDR 1.4 when you had already upgraded to 1.4.3.  I had a similar mistake, having left the icons for 1.4 on my desktop after upgrading to 1.4.3 last evening.  Running the older program asks whether you REALLY want to use the older program and "downgrade" your radio to the older software.  Just hit CANCEL.

You may want to read some of Tim's replies to similar questions about if and when to delete old versions when you upgrade.  I find it's sufficient just to delete the older icons from the task bar, start menu, etc.  By keeping the old releases, you retain the downgrade option if the newest software has an undiscovered flaw you can't live with.

Photo of Michael - N5TGL

Michael - N5TGL

  • 308 Posts
  • 101 Reply Likes
Yep, I've done the same thing myself, and was just coming here to post that.  Just make sure you're really running 1.4.3 when you think you are.  :)
Photo of Ken - NM9P

Ken - NM9P

  • 4239 Posts
  • 1351 Reply Likes
That is why I have started erasing my older versions as part of the upgrade process!  I have made that mistake too many times!   D'oh!
Photo of Joseph Duerbusch

Joseph Duerbusch

  • 14 Posts
  • 0 Reply Likes
Yes, I am sorry, the problem was that I had the 1.4.0 v pined to the task bar.  So when I click it, it want to run the previous version. 

All is well

K0BX
Photo of Ken - NM9P

Ken - NM9P

  • 4239 Posts
  • 1351 Reply Likes
That wouldn't be the first time I heard THAT one!  <grin>
(If I had a dollar for every time that has happened, I could upgrade to a 6700!)

Ken - NM9P
Photo of John n0snx

John n0snx

  • 229 Posts
  • 54 Reply Likes
I hate when that happens....  Here we think we are perfect and then out of the blue we pull an OOOOPS.... Oh well I guess its true to say nobody is perfect...  Been there done that too.
Photo of Al / NN4ZZ

Al / NN4ZZ

  • 1853 Posts
  • 672 Reply Likes
This won't prevent the problem, but seeing the version on the main screen may help you see it more quickly when it does happen.  

https://community.flexradio.com/flexradio/topics/smartsdr-version-in-the-title-bar

Regards, Al / NN4ZZ  
al (at) nn4zz (dot) com

This conversation is no longer open for comments or replies.